Subject: Re: [PATCH v3 2/2] commit: add --ignore-submodules[=<when>] parameter

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Apr 2014 11:30:09 -0700

Ronald Weiss <[email-masked]> writes:

> On 8. 4. 2014 20:43, Jens Lehmann wrote:
>>> Useful <when> values for commit are 'all' (default) or 'none'. The others
>>> ('dirty' and 'untracked') have same effect as 'none', as commit is only
>>> interested in whether the submodule's HEAD differs from what is commited
>>> in the superproject.
>>
>> Unless it outputs a status message, then 'dirty' and 'untracked' do
>> influence what is shown there. Apart from that (and maybe tests for
>> these two cases ;-) this is looking good to me.
>
> OK, I updated the patch for commit to take that into account. Also, I
> rebased both patches onto current master. Sending them in a moment.
>
> If you don't have any more complaints, can I add "Acked-by: <you>" and
> resend the patches to Junio?

It is not "When I see no more complaints, I'll resend with your
Ack".  An Ack is a positive thing, not lack of discovery of further
issues.

Rather, it is more like "I'll wait for your Acks and then I'll
resend with your Ack", or "If they look good, reply with Ack and let
the maintainer pick them up".

Thanks.